List groups
curl --request GET \
--url https://api.modem.dev/v1/groups \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.modem.dev/v1/groups"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.modem.dev/v1/groups', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"group": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"archivedAt": "2023-11-07T05:31:56Z",
"endTimestamp": "<unknown>",
"startTimestamp": "<unknown>"
},
"messages": [
{
"content": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"isInternal": true,
"metadata": {},
"replyToId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"sourceMessageId": "<string>",
"sourceMessageType": "<string>",
"sourceName": "<string>",
"sourceReplyToId": "<string>",
"sourceThreadId": "<string>",
"sourceUrl": "<string>",
"threadId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"title": "<string>",
"author": {
"displayName": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"isBot": true,
"sourceAuthorId": "<string>",
"sourceAvatarUrl": "<string>",
"sourceName": "<string>"
},
"channel": {
"channelName": "<string>",
"id": "<string>",
"serverName": "<string>"
},
"reactions": [
{
"count": 123,
"identifier": "<string>",
"messageId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"unicode": "<string>"
}
],
"replyTo": {
"content": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"isInternal": true,
"metadata": {},
"replyToId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"sourceMessageId": "<string>",
"sourceMessageType": "<string>",
"sourceName": "<string>",
"sourceReplyToId": "<string>",
"sourceThreadId": "<string>",
"sourceUrl": "<string>",
"threadId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"title": "<string>",
"author": {
"displayName": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"isBot": true,
"sourceAuthorId": "<string>",
"sourceAvatarUrl": "<string>",
"sourceName": "<string>"
},
"createdAt": "2023-11-07T05:31:56Z",
"deletedAt": "2023-11-07T05:31:56Z",
"editedAt": "2023-11-07T05:31:56Z"
},
"thread": {
"content": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"isInternal": true,
"metadata": {},
"replyToId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"sourceMessageId": "<string>",
"sourceMessageType": "<string>",
"sourceName": "<string>",
"sourceReplyToId": "<string>",
"sourceThreadId": "<string>",
"sourceUrl": "<string>",
"threadId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"title": "<string>",
"author": {
"displayName": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"isBot": true,
"sourceAuthorId": "<string>",
"sourceAvatarUrl": "<string>",
"sourceName": "<string>"
},
"createdAt": "2023-11-07T05:31:56Z",
"deletedAt": "2023-11-07T05:31:56Z",
"editedAt": "2023-11-07T05:31:56Z"
},
"createdAt": "2023-11-07T05:31:56Z",
"deletedAt": "2023-11-07T05:31:56Z",
"editedAt": "2023-11-07T05:31:56Z"
}
],
"topic": {
"keywords": [
"<string>"
],
"linkedIssueKey": "<string>",
"sources": [
"<string>"
],
"topicId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"topicTitle": "<string>",
"topicType": "<string>"
}
}
],
"limit": 123,
"page": 123,
"totalCount": 1
}{
"code": "<string>",
"defined": true,
"message": "<string>",
"status": 123,
"data": "<unknown>"
}{
"code": "<string>",
"defined": true,
"message": "<string>",
"status": 123,
"data": "<unknown>"
}{
"code": "<string>",
"defined": true,
"message": "<string>",
"status": 123,
"data": "<unknown>"
}{
"code": "<string>",
"defined": true,
"message": "<string>",
"status": 123,
"data": "<unknown>"
}{
"code": "<string>",
"defined": true,
"message": "<string>",
"status": 123,
"data": "<unknown>"
}{
"code": "<string>",
"defined": true,
"message": "<string>",
"status": 123,
"data": "<unknown>"
}Groups
List groups
List message groups (conversations) for a single company or person. Provide exactly one of companyId or personId.
GET
/
groups
List groups
Authorizations
Organization API key (modem_…).
Query Parameters
Pattern:
^\d+$Pattern:
^\d+$Required range:
x <= 50Was this page helpful?
⌘I